/*
This file is part of LightDM-KDE.

Copyright 2011, 2012 David Edmundson <kde@davidedmundson.co.uk>
Copyright (C) 2021 Aleksei Nikiforov <darktemplar@basealt.ru>
Copyright (C) 2023 Anton Golubev <golubevan@altlinux.org>

LightDM-KDE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

LightDM-KDE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LightDM-KDE.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef ABOUT_H
#define ABOUT_H

#include <config.h>

// Helper function to factorize common part s of KAboutData definition between
// greeter and kcm
static void initAboutData(KAboutData *aboutData)
{
    aboutData->setVersion(LIGHTDM_KDE_VERSION);

    aboutData->setShortDescription(ki18n("Login screen using the LightDM framework").toString());
    aboutData->setLicense(KAboutLicense::GPL, KAboutLicense::OrLaterVersions);
    aboutData->setCopyrightStatement(ki18n("(c) 2012 David Edmundson").toString());
    aboutData->setHomepage(QStringLiteral("http://git.altlinux.org/gears/l/lightdm-kde-greeter.git"));

    aboutData->addAuthor(ki18n("David Edmundson").toString(), ki18n("Author").toString(), QStringLiteral("kde@davidedmundson.co.uk"));
    aboutData->addAuthor(ki18n("Aurélien Gâteau").toString(), ki18n("Developer").toString(), QStringLiteral("aurelien.gateau@canonical.com"));
    aboutData->addAuthor(ki18n("Aleksei Nikiforov").toString(), ki18n("Developer").toString(), QStringLiteral("darktemplar@basealt.ru"));
    aboutData->addAuthor(ki18n("Anton Golubev").toString(), ki18n("Developer").toString(), QStringLiteral("golubevan@altlinux.org"));
}

#endif /* ABOUT_H */
